Bug 61071 - port/japanese/emacs21-emcws is not PREFIX clean
Summary: port/japanese/emacs21-emcws is not PREFIX clean
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-08 15:00 UTC by Munehiro Matsuda
Modified: 2004-01-10 06:11 UTC (History)
0 users

See Also:


Attachments
file.diff (944 bytes, patch)
2004-01-08 15:00 UTC, Munehiro Matsuda
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Munehiro Matsuda 2004-01-08 15:00:35 UTC
Building of japanese/emacs21-emcws port will fail on byte-compiling .el files,
if PREFIX is specified.
This is similar problem with PR ports/61069, but different cause.

How-To-Repeat: 1. Build dependent ports normally.
	# cd /usr/ports/x11-toolkits/Xaw3d
	# make install clean
	# cd /usr/ports/graphics/jpeg
	# make install clean
	# cd /usr/ports/graphics/tiff
	# make install clean
	# cd /usr/ports/graphics/libungif
	# make install clean
	# cd /usr/ports/graphics/png
	# make install clean

2. Build emacs related ports with PREFIX
	# cd /usr/ports/editors/emacs21
	# make PREFIX=/usr/local/emacs21 install clean
	# cd /usr/ports/japanese/emacs21-emcws
	# make PREFIX=/usr/local/emacs21 install clean

3. Watch emacs21-emcws port fail, due to not finding
   /usr/local/bin/emacs-21.3.

BTW, this is similar problem that I submitted  as ports/61069,
but different cause.
Comment 1 Pete Fritchman freebsd_committer 2004-01-09 05:09:55 UTC
Port maintainer now cc:'d.

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/61071
Comment 2 NAKAJI Hiroyuki 2004-01-09 06:32:23 UTC
>>>>> In <20040109050955.87CAF17712@sirius.firepipe.net> 
>>>>>	Pete Fritchman <petef@FreeBSD.org> wrote:

> Port maintainer now cc:'d.

Thanks.

> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/61071

I think it's good fix.
-- 
NAKAJI Hiroyuki
Comment 3 Pete Fritchman freebsd_committer 2004-01-10 06:11:34 UTC
State Changed
From-To: open->closed

Committed, thanks.